Subject: This is something you might like

From: <[email-masked]>
Date: Tue, 16 Oct 2007 18:11:48 -0400

EXTO Announces US Launch Ahead Of Schedule!

Exit Only, Inc.
EXTO
$ 0.43

EXTO Provides a "Results Only" marketing solution for used cars.
Charging only for interested Buyers. Investors will be drooling of the
shares on this once the new site is launched into a market the size of
the US. No hidden costs and no posting fees, is drawing sellers to the
site. EXTO released news today that they are ahead of schedule and ready
to lunch their US expansion. This is not one to wait around on. It is
already trading and climbing for 2 months, Move on it before this new
site hits the market.